Subject: Re: [PATCH v4 05/25] midx: clear auxiliary .rev after replacing the MIDX

From: Junio C Hamano <[email-masked]>
Date: Sun, 29 Aug 2021 17:34:18 -0700

Taylor Blau <[email-masked]> writes:

> now or later would affect this series. Even if we just disallow
> --object-dir pointing at a non-alternate repository, we would still have
> the issue of having alternate chains which don't all have the same
> object format.

Exactly.  That is why I feel that it probably needs to be dealt with
before doing anything else.  The alternate mechanism pulling in an
object store that uses incompatible hash algo would break not just
the multi-pack-index but probably the basic object access layer as
well, which would be more grave problem, no?

> My inclination would be to
> send a new version that simply requires the MIDX builtin to be run from
> within a repository (as well as the cleanups from Johannes).

Sounds like a good first step.